@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Orbitron", sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    min-height: 100vh;
    padding: 1rem;
    font-size: 0.8rem;
}

main {
    background-color: black;
    color: white;
    width: 100%;
    max-width: 410px;
    min-width: 400px;
    min-height: 80vh;
    padding: 0.75rem;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    box-shadow: 3px -3px 6px rgb(0, 0, 0);
}

.display_screen {
    flex: 1;
    padding: 0.25rem;
    margin-bottom: auto;
    border-radius: 8px;
    background-color: silver;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 3px solid hsl(44, 93%, 53%);
    text-align: right;
    color: black;
}

.input_display{
    flex: 2;
    padding: 0.5rem;
    font-size: 1.1rem;
    font-weight: bold;
    white-space: nowrap;
    overflow-x: auto;
    scrollbar-width: thin;
}

.result_display{
    flex: 1;
    padding: 5px;
    font-size: 0.9rem;
    font-weight: 500;
    color: rgb(24, 49, 0);
}

.keys {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 0.25rem;
    border-radius: 8px;
}

.key {
  padding: 1rem;
  font-size: 1rem;
  text-align: center;
  cursor: pointer;
  outline: none;
  color: #fff;
  background-color: hsl(0, 2%, 18%);
  border: none;
  border-radius: 10px;
  box-shadow: 1px 1px hsl(44, 40%, 30%);
}

.key:hover {
    background-color: hsl(44, 94%, 21%)
}

.key:active {
  background-color: hsl(44, 93%, 53%);
  box-shadow: 0 2px #666;
  transform: translateY(1px);
}

/* Media query for smaller screens < 400px */
@media screen and (max-width: 400px) { 
    main {
        min-width: 300px;
        padding: 0.5rem;
        min-height: 65vh;
    }

    .key {
        padding: 0.6rem;
        font-size: 0.9rem;
    }

    .input_display {
        font-size: 1rem;
        padding: 0.1rem;
    }

    .result_display {
        font-size: 0.9rem;
        padding: 0.1rem;
    }
}